Intermittent e10s browser_async_remove_tab.js | closed tab saved

RESOLVED FIXED in Firefox -esr52

Status

()

Firefox
Session Restore
P5
normal
RESOLVED FIXED
2 years ago
7 months ago

People

(Reporter: philor, Assigned: mikedeboer, NeedInfo)

Tracking

(Blocks: 1 bug, {intermittent-failure})

Trunk
Firefox 55
intermittent-failure
Points:
---
Bug Flags:
in-testsuite -

Firefox Tracking Flags

(e10s+, firefox52 wontfix, firefox-esr52 fixed, firefox53 fixed, firefox54 fixed, firefox55 fixed)

Details

(Whiteboard: [stockwell disabled])

Attachments

(1 attachment)

(Reporter)

Description

2 years ago
https://treeherder.mozilla.org/logviewer.html#?job_id=15120471&repo=mozilla-inbound

Updated

2 years ago
Blocks: 984139
tracking-e10s: --- → +

Comment 1

2 years ago
11 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* fx-team: 5
* try: 3
* b2g-inbound: 2
* mozilla-central: 1

Platform breakdown:
* linux32: 6
* linux64: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1211084&startday=2015-10-05&endday=2015-10-11&tree=all

Comment 2

2 years ago
11 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 6
* fx-team: 2
* b2g-inbound: 2
* mozilla-central: 1

Platform breakdown:
* linux64: 7
* linux32: 4

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1211084&startday=2015-11-09&endday=2015-11-15&tree=all

Comment 3

2 years ago
17 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-central: 5
* b2g-inbound: 5
* try: 3
* mozilla-inbound: 2
* fx-team: 2

Platform breakdown:
* linux64: 11
* linux32: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1211084&startday=2015-11-16&endday=2015-11-22&tree=all

Comment 4

2 years ago
10 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* fx-team: 4
* mozilla-central: 3
* mozilla-inbound: 2
* b2g-inbound: 1

Platform breakdown:
* linux64: 6
* linux32: 4

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1211084&startday=2015-11-23&endday=2015-11-29&tree=all

Comment 5

2 years ago
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* try: 3
* mozilla-inbound: 1
* mozilla-central: 1
* fx-team: 1

Platform breakdown:
* linux32: 4
* linux64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1211084&startday=2015-12-07&endday=2015-12-13&tree=all

Comment 6

2 years ago
7 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 5
* mozilla-aurora: 1
* fx-team: 1

Platform breakdown:
* linux64: 4
* linux32: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1211084&startday=2015-12-14&endday=2015-12-20&tree=all

Comment 7

2 years ago
7 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-aurora: 3
* try: 2
* fx-team: 2

Platform breakdown:
* linux64: 4
* linux32: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1211084&startday=2015-12-21&endday=2015-12-27&tree=all

Comment 8

2 years ago
7 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* try: 3
* mozilla-inbound: 2
* mozilla-central: 1
* mozilla-aurora: 1

Platform breakdown:
* linux64: 4
* linux32: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1211084&startday=2016-01-04&endday=2016-01-10&tree=all

Comment 9

2 years ago
15 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 5
* mozilla-aurora: 4
* try: 3
* fx-team: 2
* mozilla-central: 1

Platform breakdown:
* linux64: 8
* linux32: 7

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1211084&startday=2016-01-11&endday=2016-01-17&tree=all

Comment 10

2 years ago
13 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-aurora: 4
* try: 3
* mozilla-inbound: 3
* fx-team: 2
* b2g-inbound: 1

Platform breakdown:
* linux32: 9
* linux64: 4

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1211084&startday=2016-01-18&endday=2016-01-24&tree=all

Comment 11

2 years ago
7 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 3
* mozilla-beta: 2
* fx-team: 2

Platform breakdown:
* linux64: 5
* linux32: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1211084&startday=2016-02-22&endday=2016-02-28&tree=all

Comment 12

2 years ago
10 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 6
* mozilla-central: 2
* fx-team: 2

Platform breakdown:
* linux64: 9
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1211084&startday=2016-02-29&endday=2016-03-06&tree=all

Comment 13

2 years ago
5 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 4
* mozilla-beta: 1

Platform breakdown:
* linux64: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1211084&startday=2016-03-07&endday=2016-03-13&tree=all

Comment 14

2 years ago
10 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 3
* fx-team: 3
* try: 2
* mozilla-central: 1
* mozilla-aurora: 1

Platform breakdown:
* linux64: 8
* linux32: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1211084&startday=2016-03-14&endday=2016-03-20&tree=all

Comment 15

2 years ago
8 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 5
* fx-team: 2
* try: 1

Platform breakdown:
* linux64: 6
* linux32: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1211084&startday=2016-03-28&endday=2016-04-03&tree=all

Comment 16

2 years ago
8 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 4
* fx-team: 2
* try: 1
* mozilla-aurora: 1

Platform breakdown:
* linux64: 6
* linux32: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1211084&startday=2016-04-11&endday=2016-04-17&tree=all

Comment 17

2 years ago
10 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 5
* fx-team: 3
* try: 1
* ash: 1

Platform breakdown:
* linux64: 8
* linux32: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1211084&startday=2016-05-10&endday=2016-05-16&tree=all

Comment 18

2 years ago
9 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 6
* fx-team: 3

Platform breakdown:
* linux64: 8
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1211084&startday=2016-05-16&endday=2016-05-22&tree=all

Comment 19

2 years ago
5 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 4
* fx-team: 1

Platform breakdown:
* linux64: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1211084&startday=2016-05-23&endday=2016-05-29&tree=all

Comment 20

2 years ago
8 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* try: 4
* mozilla-inbound: 2
* fx-team: 2

Platform breakdown:
* linux64: 4
* linux32: 3
* windows7-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1211084&startday=2016-05-30&endday=2016-06-05&tree=all

Comment 21

2 years ago
10 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 5
* fx-team: 5

Platform breakdown:
* linux64: 6
* linux32: 3
* windows7-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1211084&startday=2016-06-06&endday=2016-06-12&tree=all

Comment 22

2 years ago
10 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 9
* mozilla-beta: 1

Platform breakdown:
* linux64: 6
* linux32: 4

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1211084&startday=2016-06-20&endday=2016-06-26&tree=all

Comment 23

2 years ago
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-aurora: 3
* mozilla-inbound: 1
* mozilla-beta: 1
* fx-team: 1

Platform breakdown:
* linux64: 3
* windows8-64: 2
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1211084&startday=2016-06-27&endday=2016-07-03&tree=all
Intermittent e10s test failure
Priority: -- → P5
11 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* try: 3
* mozilla-inbound: 3
* fx-team: 2
* autoland: 2
* ash: 1

Platform breakdown:
* linux64: 5
* windows7-32: 3
* linux32: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1211084&startday=2016-07-18&endday=2016-07-24&tree=all
7 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* autoland: 4
* mozilla-inbound: 1
* mozilla-central: 1
* mozilla-beta: 1

Platform breakdown:
* linux64: 3
* linux32: 3
* windows7-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1211084&startday=2016-08-01&endday=2016-08-07&tree=all
7 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* autoland: 4
* fx-team: 2
* mozilla-inbound: 1

Platform breakdown:
* linux64: 3
* linux32: 3
* windows7-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1211084&startday=2016-08-08&endday=2016-08-14&tree=all
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 5
* mozilla-beta: 1

Platform breakdown:
* linux32: 3
* linux64: 2
* windows8-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1211084&startday=2016-08-22&endday=2016-08-28&tree=all
5 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-central: 2
* mozilla-inbound: 1
* mozilla-aurora: 1
* autoland: 1

Platform breakdown:
* linux64: 2
* linux32: 2
* windows7-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1211084&startday=2016-08-29&endday=2016-09-04&tree=all
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 4
* fx-team: 2

Platform breakdown:
* linux64: 5
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1211084&startday=2016-09-05&endday=2016-09-11&tree=all
7 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* autoland: 4
* mozilla-inbound: 1
* mozilla-beta: 1
* mozilla-aurora: 1

Platform breakdown:
* linux32: 4
* linux64: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1211084&startday=2016-09-26&endday=2016-10-02&tree=all
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* autoland: 4
* fx-team: 2

Platform breakdown:
* linux64: 4
* linux32: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1211084&startday=2016-10-03&endday=2016-10-09&tree=all
13 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 7
* autoland: 5
* mozilla-release: 1

Platform breakdown:
* linux32: 7
* linux64: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1211084&startday=2016-11-07&endday=2016-11-13&tree=all
6 failures in 715 pushes (0.008 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* autoland: 5
* mozilla-release: 1

Platform breakdown:
* linux32: 4
* linux64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1211084&startday=2016-11-14&endday=2016-11-20&tree=all
13 failures in 623 pushes (0.021 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* mozilla-inbound: 7
* autoland: 4
* mozilla-release: 1
* mozilla-central: 1

Platform breakdown:
* linux32: 7
* linux64: 3
* windows7-32-vm: 2
* windows8-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1211084&startday=2016-11-21&endday=2016-11-27&tree=all
5 failures in 694 pushes (0.007 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* mozilla-inbound: 2
* mozilla-central: 1
* mozilla-aurora: 1
* autoland: 1

Platform breakdown:
* windows7-32-vm: 2
* linux32: 2
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1211084&startday=2016-11-28&endday=2016-12-04&tree=all

Comment 37

11 months ago
9 failures in 563 pushes (0.016 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* autoland: 4
* mozilla-inbound: 2
* mozilla-beta: 2
* try: 1

Platform breakdown:
* linux32: 4
* windows7-32-vm: 2
* linux64: 2
* windows8-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1211084&startday=2017-01-02&endday=2017-01-08&tree=all

Comment 38

11 months ago
15 failures in 722 pushes (0.021 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* mozilla-inbound: 7
* autoland: 4
* mozilla-central: 2
* try: 1
* mozilla-aurora: 1

Platform breakdown:
* linux32: 10
* linux64: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1211084&startday=2017-01-09&endday=2017-01-15&tree=all

Comment 39

11 months ago
7 failures in 690 pushes (0.01 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* autoland: 3
* mozilla-inbound: 2
* try: 1
* mozilla-central: 1

Platform breakdown:
* linux32: 5
* linux64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1211084&startday=2017-01-16&endday=2017-01-22&tree=all

Comment 40

11 months ago
13 failures in 749 pushes (0.017 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* mozilla-inbound: 7
* autoland: 5
* mozilla-aurora: 1

Platform breakdown:
* linux32: 9
* linux64: 4

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1211084&startday=2017-01-23&endday=2017-01-29&tree=all

Comment 41

10 months ago
20 failures in 733 pushes (0.027 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* autoland: 12
* mozilla-inbound: 6
* mozilla-beta: 1
* mozilla-aurora: 1

Platform breakdown:
* linux32: 11
* linux64: 9

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1211084&startday=2017-01-30&endday=2017-02-05&tree=all

Comment 42

10 months ago
14 failures in 836 pushes (0.017 failures/push) were associated with this bug in the last 7 days.  
Repository breakdown:
* mozilla-inbound: 5
* try: 2
* mozilla-beta: 2
* autoland: 2
* mozilla-central: 1
* mozilla-aurora: 1
* graphics: 1

Platform breakdown:
* linux64: 7
* linux32: 7

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1211084&startday=2017-02-06&endday=2017-02-12&tree=all

Comment 43

10 months ago
30 failures in 833 pushes (0.036 failures/push) were associated with this bug in the last 7 days.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. **

Repository breakdown:
* mozilla-inbound: 17
* autoland: 9
* mozilla-beta: 3
* graphics: 1

Platform breakdown:
* linux32: 19
* linux64: 11

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1211084&startday=2017-02-13&endday=2017-02-19&tree=all
this test increased in frequency, do some investigation
Flags: needinfo?(jmaher)

Comment 45

10 months ago
39 failures in 812 pushes (0.048 failures/push) were associated with this bug in the last 7 days. 

This is the #40 most frequent failure this week. 

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. **

Repository breakdown:
* autoland: 18
* mozilla-inbound: 12
* mozilla-central: 5
* try: 2
* mozilla-aurora: 1
* graphics: 1

Platform breakdown:
* linux64: 30
* linux32: 9

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1211084&startday=2017-02-20&endday=2017-02-26&tree=all
Flags: needinfo?(jmaher)
Whiteboard: [stockwell needswork]
check out bug 1282990, same test, different failure.
See Also: → bug 1282990
doing a lot of retriggers didn't help me find a root cause :(  This seems to happen about 1/10 runs consistently.

:ttaubert, can you look at this test case and see if you can fix the errors here and in bug 1282990?
Flags: needinfo?(ttaubert)
(In reply to Joel Maher ( :jmaher) from comment #47)
> :ttaubert, can you look at this test case and see if you can fix the errors
> here and in bug 1282990?

Sorry, I don't work on this stuff or build Firefox these days anymore :( I wonder if Mike has time or can find someone to take a look.
Flags: needinfo?(ttaubert) → needinfo?(mdeboer)

Comment 49

9 months ago
38 failures in 783 pushes (0.049 failures/push) were associated with this bug in the last 7 days. 

This is the #29 most frequent failure this week. 

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. **

Repository breakdown:
* mozilla-inbound: 14
* autoland: 10
* try: 5
* oak: 2
* mozilla-beta: 2
* mozilla-release: 1
* mozilla-esr52: 1
* mozilla-central: 1
* mozilla-aurora: 1
* graphics: 1

Platform breakdown:
* linux64: 26
* linux32: 10
* windows8-64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1211084&startday=2017-02-27&endday=2017-03-05&tree=all
_very_ short analysis: the two tasks where things fail both use the utility function `promiseNewLocationAndHistoryEntryReplaced()`, which is suspicious. I'm pretty sure the race is in there.

I'll add some logging and push that to try tomorrow.
Assignee: nobody → mdeboer
Status: NEW → ASSIGNED
Flags: needinfo?(mdeboer)
https://treeherder.mozilla.org/#/jobs?repo=try&revision=13b2f9fe6e19

Comment 52

9 months ago
38 failures in 790 pushes (0.048 failures/push) were associated with this bug in the last 7 days. 

This is the #45 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. ** 

Repository breakdown:
* autoland: 17
* mozilla-inbound: 14
* mozilla-central: 3
* try: 2
* oak: 1
* mozilla-aurora: 1

Platform breakdown:
* linux64: 25
* linux32: 8
* windows7-32-vm: 3
* osx-10-10: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1211084&startday=2017-03-06&endday=2017-03-12&tree=all
Between this bug and bug 1282990, this test case is responsible for 100+ failures/week :(  Can you increase the priority here?  right now this is failing on all platforms primarily debug e10s.

Mike, how is this coming along?
Flags: needinfo?(mdeboer)
:wlach, could you use your retrigger with logging options for this bug?
Flags: needinfo?(wlachance)
(In reply to Joel Maher ( :jmaher) from comment #54)
> :wlach, could you use your retrigger with logging options for this bug?

Tried this on linux32 debug, didn't reproduce the failure but got a pile of warnings about leaks:

https://treeherder.mozilla.org/#/jobs?repo=try&revision=f9f1ae807d384f42912547621443e46db90b00f7&selectedJob=83758884
https://treeherder.mozilla.org/logviewer.html#?job_id=83758884&repo=try&lineNumber=12746

[task 2017-03-14T18:20:04.400538Z] 1375 ERROR TEST-UNEXPECTED-FAIL | browser/components/sessionstore/test/browser_async_remove_tab.js | leaked 16 window(s) until shutdown [url = about:blank]
[task 2017-03-14T18:20:04.402273Z] 1376 ERROR TEST-UNEXPECTED-FAIL | browser/components/sessionstore/test/browser_async_remove_tab.js | leaked 9 window(s) until shutdown [url = https://example.com/]
[task 2017-03-14T18:20:04.405039Z] TEST-INFO | browser/components/sessionstore/test/browser_async_remove_tab.js | windows(s) leaked: [pid = 1332] [serial = 224], [pid = 1332] [serial = 235], [pid = 1332] [serial = 241], [pid = 1332] [serial = 243], [pid = 1332] [serial = 231], [pid = 1332] [serial = 225], [pid = 1332] [serial = 234], [pid = 1332] [serial = 228], [pid = 1332] [serial = 221], [pid = 1332] [serial = 239], [pid = 1332] [serial = 230], [pid = 1332] [serial = 244], [pid = 1332] [serial = 237], [pid = 1332] [serial = 229], [pid = 1332] [serial = 226], [pid = 1332] [serial = 238], [pid = 1332] [serial = 233], [pid = 1332] [serial = 222], [pid = 1332] [serial = 236], [pid = 1332] [serial = 242], [pid = 1332] [serial = 227], [pid = 1332] [serial = 232], [pid = 1332] [serial = 240], [pid = 1332] [serial = 223], [pid = 1332] [serial = 245]
[task 2017-03-14T18:20:04.406702Z] 1377 ERROR TEST-UNEXPECTED-FAIL | browser/components/sessionstore/test/browser_async_remove_tab.js | leaked 5 docShell(s) until shutdown
[task 2017-03-14T18:20:04.408789Z] TEST-INFO | browser/components/sessionstore/test/browser_async_remove_tab.js | docShell(s) leaked: [pid = 1332] [id = {be7bafd6-7e2a-4c93-951c-227716eb5fc3}], [pid = 1332] [id = {fc55d1cf-0d5f-456f-be74-e1a389d7ee44}], [pid = 1332] [id = {22397e39-2266-4fa4-8e8d-77e1d580d0ec}], [pid = 1332] [id = {31dcf68d-3c65-465b-9cfc-8b1ba546e0e5}], [pid = 1332] [id = {cc286fb7-b2c7-488f-a1f1-0bda7d3d25b0}]
Flags: needinfo?(wlachance)
(In reply to William Lachance (:wlach) (use needinfo!) from comment #55)
> (In reply to Joel Maher ( :jmaher) from comment #54)
> > :wlach, could you use your retrigger with logging options for this bug?
> 
> Tried this on linux32 debug, didn't reproduce the failure but got a pile of
> warnings about leaks:
> ...

I'm feeling rather uncertain that this is a problem with the test, as I'm seeing similar errors elsewhere. So take this with a grain of salt.
I'm feeling rather inclined to just disable it on e10s for now. To be sure, I'm going to ask Will if has time to look at this.
Flags: needinfo?(mdeboer) → needinfo?(wiwang)

Comment 58

9 months ago
45 failures in 777 pushes (0.058 failures/push) were associated with this bug in the last 7 days. 

This is the #32 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. ** 

Repository breakdown:
* autoland: 24
* mozilla-inbound: 13
* try: 4
* mozilla-esr52: 1
* mozilla-central: 1
* mozilla-beta: 1
* mozilla-aurora: 1

Platform breakdown:
* linux64: 27
* linux32: 11
* osx-10-10: 5
* windows8-64: 1
* windows7-32-vm: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1211084&startday=2017-03-13&endday=2017-03-19&tree=all
Created attachment 8849119 [details] [diff] [review]
disable test for debug

between this bug and bug 1282990, we have 100+ failures in the last week- I would recommend leaving the ni? on the bug and disabling this until there is time to get a proper fix in!
Attachment #8849119 - Flags: review?(mdeboer)
Hi Mike! 
I am more than happy to look into this bug to improve test quality, from the function you mentioned in comment 50, and I am currently working on some bugs including a P1 bug of Quantum Flow, plus session store tier-1(ss-reliability) bugs; Would it be possible that I keep the needinfo and back to this bug once those bugs are done, or is there any people can work on this at the moment?

Thanks! :)
Attachment #8849119 - Flags: review?(mdeboer) → review+

Comment 61

9 months ago
Pushed by jmaher@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/a1807a4fcc23
Intermittent e10s browser_async_remove_tab.js. disable on debug. r=mikedeboer
Whiteboard: [stockwell needswork] → [stockwell disabled]

Comment 62

9 months ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/a1807a4fcc23
Status: ASSIGNED → RESOLVED
Last Resolved: 9 months ago
status-firefox55: --- → fixed
Resolution: --- → FIXED
Target Milestone: --- → Firefox 55

Comment 63

9 months ago
48 failures in 898 pushes (0.053 failures/push) were associated with this bug in the last 7 days. 

This is the #24 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. ** 

Repository breakdown:
* autoland: 23
* mozilla-inbound: 18
* mozilla-esr52: 3
* mozilla-aurora: 2
* try: 1
* mozilla-beta: 1

Platform breakdown:
* linux64: 27
* osx-10-10: 7
* linux32: 7
* windows7-32-vm: 5
* windows8-64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1211084&startday=2017-03-20&endday=2017-03-26&tree=all
status-firefox44: affected → ---
status-firefox52: --- → wontfix
status-firefox53: --- → affected
status-firefox54: --- → affected
status-firefox-esr52: --- → affected

Comment 64

9 months ago
bugherderuplift
https://hg.mozilla.org/releases/mozilla-aurora/rev/ad46c10888c8
status-firefox54: affected → fixed
Flags: in-testsuite-

Comment 65

9 months ago
bugherderuplift
https://hg.mozilla.org/releases/mozilla-beta/rev/f27a702a0d95
status-firefox53: affected → fixed

Comment 66

9 months ago
bugherderuplift
https://hg.mozilla.org/releases/mozilla-esr52/rev/910999ce5a13
status-firefox-esr52: affected → fixed
Still a thing: https://treeherder.mozilla.org/logviewer.html#?job_id=87296691&repo=autoland
Flags: needinfo?(mdeboer)
Was it a fluke?
Flags: needinfo?(mdeboer) → needinfo?(aryx.bugmail)
Last occurrence on the April 14th: https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1211084&endday=2017-05-09&startday=2017-03-15&tree=trunk
Flags: needinfo?(aryx.bugmail)
You need to log in before you can comment on or make changes to this bug.